
QGIS Application - Bug report #5114

Query builder "sample" and "All" buttons stop to work if a query with 0 matches is tested

2012-03-02 04:54 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14874

Description

Simple to replicate: build a query that returns 0 matches when tested, then try to obtain a list of values by hitting "All" or "Sample", they

won't work. It is needed to clean the query to have them working again. Tested on master but should affect also 1.7.4

Related issues:

Duplicates QGIS Application - Feature request # 3337: Query Builder's data sa... Closed 2012-06-30

History

#1 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#2 - 2012-06-30 01:12 AM - Jürgen Fischer

- Status changed from Open to Closed

implemented in commit:d79c2963
